Index: chan_features.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_features.c,v
retrieving revision 1.8
diff -u -r1.8 chan_features.c
--- chan_features.c	21 Apr 2005 06:30:23 -0000	1.8
+++ chan_features.c	7 May 2005 16:06:13 -0000
@@ -449,9 +449,10 @@
 		return NULL;
 	}
 	tmp = ast_channel_alloc(0);
-	if (!tmp)
+	if (!tmp) {
+		ast_log(LOG_WARNING, "Unable to allocate channel structure\n");
 		return NULL;
-	if (tmp) {
+	}
 		tmp->tech = &features_tech;
 		for (x=1;x<4;x++) {
 			snprintf(tmp->name, sizeof(tmp->name), "Feature/%s/%s-%d", p->tech, p->dest, x);
@@ -479,8 +480,6 @@
 		usecnt++;
 		ast_mutex_unlock(&usecnt_lock);
 		ast_update_use_count();
-	} else
-		ast_log(LOG_WARNING, "Unable to allocate channel structure\n");
 	return tmp;
 }
 
